/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * 5724-C51
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
/*******************************************************************************
 * CMVC Location: ISMP/radInstallTools/RemovePasswords.js, tbsm_rad_install, tbsm_rad_41
 * Version:       1.1
 * Last Modified: 4/2/07
 *******************************************************************************/
var logger = Components.classes["@micromuse.com/NCILog;1"].
                        getService( Components.interfaces.nsINCILog );



try {

	var gPackageManager; 
 	gPackageManager = Components.classes["@micromuse.com/NCIPackageManager;1"].getService(Components.interfaces.nsINCIPackageManager); 
 	gPackageManager.Initialize(); 

	var propMgr = Components.classes["@micromuse.com/NCIProperties;1"].getService(Components.interfaces.nsINCIProperties);


  	var nchome = propMgr.GetProp("NCHOME.INSTALLDIR").value;

	dump("NCHOME = " + nchome + "\n");

	var separator = "/";

	//var arch = gPackageManager.packages.item(0).arch();
	
	//logger.warning("Arch = "+arch);

	//if (arch == "win32") {
      //  separator="\\";
     // }
	var dbFile = nchome + separator + "var" + separator + "install"+ separator + "ncisetup.db";

	dump("DBFile: " + dbFile + "\n");

	nsDb = Components.classes["@micromuse.com/NCISQLite;1"].createInstance(Components.interfaces.nsISQLiteDb);

	nsDb.Open(dbFile, 0);

	dump("Opening database\n");

	dump("Removing properties\n");

	nsDb.Begin();

	var sqlCmd = "update properties set value=' ' where name='OBJECTSERVER0.PASSWORD'";

	nsDb.Execute( sqlCmd );

	var sqlCmd = "update properties set value=' '  where name='POSTGRES0.PASSWORD'";

	nsDb.Execute( sqlCmd );

	var sqlCmd = "update properties set value=' ' where name='NCSM0.ADMIN.PASSWORD'";

	nsDb.Execute( sqlCmd );

	var sqlCmd = "update properties set value=' ' where name='SUPERPASSWORD'";

	nsDb.Execute( sqlCmd );
	
	var sqlCmd = "update properties set value=' ' where name='SERVICEPASSWORD'";

	nsDb.Execute( sqlCmd );

	var sqlCmd = "update properties set value=' ' where name='POSTGRES0.NTPASSWORD'";

	nsDb.Execute( sqlCmd );

	var sqlCmd = "update properties set value=' ' where name='NCSM0.LDAPPASSWORD'";

	nsDb.Execute( sqlCmd );

	var sqlCmd = "update properties set value=' ' where name='NCSM0.APPREG.PASSWORD'";

	nsDb.Execute( sqlCmd );
		
	nsDb.Commit();

	dump("Closing database\n");

	nsDb.Close();
	dump("\n");
	dump("Password removal script has completed successfully"); 
}

catch(e) {
	dump("\n");
	dump("Password removal script failed.\n");
	dump("Exception Caught: "+e);
	dump("Error:[" + nsDb.errorText+"]\n");
}

//logger.warning("End\n");
